# StatusClient

```
class HyperionApiClient::Clients::StatusClient
  : public ClientExtensions
```

## Summary

| Members                                                                                                                                                                                                | Descriptions               |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------- |
| `public string` [`BaseUrl`](#class_hyperion_api_client_1_1_clients_1_1_status_client_1a5e5e1c3b42a6c7ab84f8aeca3c9e570c)                                                                               |                            |
| `public` [`StatusClient`](#class_hyperion_api_client_1_1_clients_1_1_status_client_1acff8365b1ec546b57d87a0945d53d4ba)`(HttpClient httpClient)`                                                        |                            |
| `public async Task< GetHealthResponse >` [`HealthAsync`](#class_hyperion_api_client_1_1_clients_1_1_status_client_1a66a30b023ce8e396579381d59e17d308)`(CancellationToken cancellationToken) = default` | API Service Health Report. |
| `private readonly HttpClient` [`_httpClient`](#class_hyperion_api_client_1_1_clients_1_1_status_client_1ad46239d4d974eb6987f330cce204da62)                                                             |                            |

## Members

**`public string`** [**`BaseUrl`**](#class_hyperion_api_client_1_1_clients_1_1_status_client_1a5e5e1c3b42a6c7ab84f8aeca3c9e570c)

**`public`** [**`StatusClient`**](#class_hyperion_api_client_1_1_clients_1_1_status_client_1acff8365b1ec546b57d87a0945d53d4ba)**`(HttpClient httpClient)`**

**`public async Task< GetHealthResponse >`** [**`HealthAsync`**](#class_hyperion_api_client_1_1_clients_1_1_status_client_1a66a30b023ce8e396579381d59e17d308)**`(CancellationToken cancellationToken) = default`**

API Service Health Report.

#### Parameters

* `cancellationToken` A cancellation token that can be used by other objects or threads to receive notice of cancellation.

#### Returns

Default Response

#### Exceptions

* `ApiException` A server side error occurred.

**`private readonly HttpClient`** [**`_httpClient`**](#class_hyperion_api_client_1_1_clients_1_1_status_client_1ad46239d4d974eb6987f330cce204da62)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/hyperion/api-docs/hyperionapiclient-clients/hyperionapiclient-clients-statusclient.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
